Skip to main content
POST
Register worker

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Body

application/json
implementation_kind
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9_-]+$
worker_key
string
required
Required string length: 1 - 128
Pattern: ^[a-zA-Z0-9_.:-]+$
implementation_display_name
string
Required string length: 1 - 128
display_name
string | null
Required string length: 1 - 128
metadata
object | null

Response

Worker registered; it can claim and execute runs for the project.

worker
object
required
token
string | null

Worker credential (vfaw_...), returned once on registration and null or absent otherwise. Store it as a secret and send it as Authorization: Bearer (agentWorkerAuth) on this worker's heartbeat, claim, lease renewal and session operations.